# DevExpress Angular Reporting

## About 

This package provides client-side functionality to use reporting controls in an [Angular](https://angular.io/)-based application.

## Install

Run the following command to install this package:

``` npm install devexpress-reporting-angular devextreme @devexpress/analytics-core ```

## Documentation

The following tutorials demonstrate how to integrate reporting controls into an Angular application:  

* [Document Viewer Integration](https://docs.devexpress.com/XtraReports/119430/create-end-user-reporting-applications/web-reporting/javascript-reporting/document-viewer/integration-examples/document-viewer-integration-in-angular) 
* [Report Designer Integration](https://docs.devexpress.com/XtraReports/119431/create-end-user-reporting-applications/web-reporting/javascript-reporting/report-designer/integration-examples/report-designer-integration-in-angular)

Refer to the topics below for the complete list of supported control settings: 

* [Document Viewer Client-Side Configuration](https://docs.devexpress.com/XtraReports/400292/create-end-user-reporting-applications/web-reporting/javascript-reporting/document-viewer/client-side-configuration/client-side-configuration-angular) 
* [Report Designer Client-Side Configuration](https://docs.devexpress.com/XtraReports/400295/create-end-user-reporting-applications/web-reporting/javascript-reporting/report-designer/client-side-configuration/client-side-configuration-angular)

The following documents provide information about server-side configuration:

* [Document Viewer Server-Side Configuration](https://docs.devexpress.com/XtraReports/400294/create-end-user-reporting-applications/web-reporting/javascript-reporting/document-viewer/server-side-configuration) 
* [Report Designer Server-Side Configuration](https://docs.devexpress.com/XtraReports/400297/create-end-user-reporting-applications/web-reporting/javascript-reporting/report-designer/server-side-configuration)

## License

A [commercial license](https://www.devexpress.com/support/eulas/) for the DevExpress Reporting Web UI components (Document Viewer, Report Designer) is required to use this package. Please review [the Reporting section on this page](https://www.devexpress.com/subscriptions/reporting/web/#Pricing) to determine which subscription includes a license for the Web UI components you plan to use in your application.

## Support
For any questions regarding reporting controls, please refer to our [DevExpress Support Center](https://www.devexpress.com/Support/Center).