import { Renderer2 } from '@angular/core';
import { IReportDesignerOptions, IReportDesignerRootContext, JSReportDesigner, JSReportDesignerBinding } from 'devexpress-reporting/dx-reportdesigner';
import * as ko from 'knockout';
import { DxReportingComponent } from 'devexpress-reporting-angular/core';
import { DxReportDesignerCallbacksComponent } from './dxrd-callbacks';
import { DxReportDesignerModelSettingsComponent } from './dxrd-designer-model-settings.component';
import { DxReportDesignerRequestOptionsComponent } from './dxrd-request-options';
import { PreviewModel } from 'devexpress-reporting/scopes/reporting-viewer-internal';
import * as i0 from "@angular/core";
export declare class DxReportDesignerComponent extends DxReportingComponent {
    koReportUrl: ko.Observable<any>;
    bindingSender: JSReportDesigner;
    requestOptions: DxReportDesignerRequestOptionsComponent;
    callbacksComponent: DxReportDesignerCallbacksComponent;
    designerModelSettings: DxReportDesignerModelSettingsComponent;
    constructor(renderer: Renderer2, platformId: Object);
    getCallbacks(): DxReportDesignerCallbacksComponent;
    getKoBinding(options: IReportDesignerOptions): JSReportDesignerBinding;
    getControlOptions(): IReportDesignerOptions;
    ngOnDestroy(): void;
    GetDesignerModel(): IReportDesignerRootContext;
    GetPreviewModel(): PreviewModel;
    get reportUrl(): string;
    set reportUrl(reportUrl: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxReportDesignerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxReportDesignerComponent, "dx-report-designer", never, { "reportUrl": { "alias": "reportUrl"; "required": false; }; }, {}, ["requestOptions", "callbacksComponent", "designerModelSettings"], never, false, never>;
}
