import { ISerializableSettingsProvider } from 'devexpress-reporting-angular/core';
import { DxReportDesignerDataSourceSettingsComponent } from './dxrd-datasource-settings.component';
import { DxReportDesignerPreviewSettingsComponent } from './dxrd-preview-settings.component';
import { DxReportDesignerWizardSettingsComponent } from './dxrd-wizard-settings.component';
import { DxReportDesignerParameterEditingSettingsComponent } from './dxrd-parameter-editing-settings.component';
import * as i0 from "@angular/core";
export declare class DxReportDesignerModelSettingsComponent implements ISerializableSettingsProvider {
    allowMDI: boolean;
    rightToLeft: boolean;
    previewSettings: DxReportDesignerPreviewSettingsComponent;
    wizardSettings: DxReportDesignerWizardSettingsComponent;
    dataSourceSettings: DxReportDesignerDataSourceSettingsComponent;
    parameterEditingSettings: DxReportDesignerParameterEditingSettingsComponent;
    getSerializableSettings(): {
        reportPreviewSettings: {
            exportSettings: {
                useSameTab: boolean;
                useAsynchronousExport: boolean;
                showPrintNotificationDialog: boolean;
            };
            progressBarSettings: {
                position: string;
                keepOnVisibleArea: boolean;
            };
            searchSettings: {
                useAsyncSearch: boolean;
                searchEnabled: boolean;
            };
        };
        wizardSettings: {
            useMasterDetailWizard: boolean;
            enableJsonDataSource: boolean;
            enableSqlDataSource: boolean;
            enableObjectDataSource: boolean;
            enableFederationDataSource: boolean;
            useFullscreenWizard: boolean;
            reportWizardTemplatesSearchBoxVisibility: import("devexpress-reporting/dx-reportdesigner").SearchBoxVisibilityMode;
        };
        dataSourceSettings: {
            allowAddDataSource: boolean;
            allowRemoveDataSource: boolean;
            allowEditDataSource: boolean;
        };
        parameterEditingSettings: {
            allowReorderParameters: boolean;
            allowEditParameterCollection: boolean;
            allowEditProperties: boolean;
            allowEditParameterGroups: false;
            allowEditParameterSeparators: false;
        };
        allowMDI: boolean;
        rightToLeft: boolean;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<DxReportDesignerModelSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxReportDesignerModelSettingsComponent, "dxrd-designer-model-settings", never, { "allowMDI": { "alias": "allowMDI"; "required": false; }; "rightToLeft": { "alias": "rightToLeft"; "required": false; }; }, {}, ["previewSettings", "wizardSettings", "dataSourceSettings", "parameterEditingSettings"], never, false, never>;
}
