import { AfterViewInit, TemplateRef } from '@angular/core';
import { ISelectBoxActionViewModel } from '@devexpress/analytics-core/widgets/utils';
import { TemplateEngine } from '../../utils/templateEngine';
import { IObjectPropertiesViewModel } from '@devexpress/analytics-core/property-grid/propertygrid';
import { ReportPreview } from 'devexpress-reporting/viewer/reportPreview';
import { IParametersPanelViewModel } from 'devexpress-reporting/viewer/parameters/previewParametersViewModel.viewmodel';
import { IExportActionViewModel } from 'devexpress-reporting/viewer/exportOptions/exportOptionsModel';
import { IEditorViewModel } from '@devexpress/analytics-core/property-grid/widgets/editor';
import { IMultiValueEditorViewModel } from 'devexpress-reporting/viewer/widgets/_multiValueEditor';
import { ITabPanelItemWithPropertyGridViewModel } from '@devexpress/analytics-core/core/tools/_tabInfoWithPropertyGrid';
import { IDocumentMapViewModel } from 'devexpress-reporting/viewer/documentMap/_documentMapModel';
import { IDateRangeEditorOptions } from 'devexpress-reporting/viewer/widgets/dateRange/dateRangeEditor';
import { IDateRangeCalendarViewModel, IDateRangeEditorViewModel } from 'devexpress-reporting/viewer/widgets/dateRange/dateRangeEditor.viewmodel';
import { IReportPreviewViewModel } from 'devexpress-reporting/viewer/reportPreview.viewModel';
import { IPreviewPageViewModel } from 'devexpress-reporting/viewer/internal/_page.viewModel';
import { ISearchViewModel } from 'devexpress-reporting/viewer/search/_searchViewModel';
import { IBrickNode } from 'devexpress-reporting/viewer/utils/utils';
import { ITextEditingFieldData, ITextEditingFieldViewModel } from 'devexpress-reporting/viewer/editing/models/textEditingField';
import { ICharacterCombEditingFieldViewModel } from 'devexpress-reporting/viewer/editing/models/characterCombEditingField';
import { ICheckEditingFieldViewModel } from 'devexpress-reporting/viewer/editing/models/checkEditingField';
import { IEditingFieldViewModelBase } from 'devexpress-reporting/viewer/editing/models/editingFieldBase';
import { IPopupImageEditingFieldViewModel } from 'devexpress-reporting/viewer/editing/models/popupImageEditingField';
import { IPictureEditorActionPopup } from 'devexpress-reporting/viewer/widgets/pictureEditor/_pictureEditorToolbarItem';
import { IPainterBrushOptions, IPainterSizeOptions } from 'devexpress-reporting/viewer/widgets/pictureEditor/_painter';
import { IImagePickerActionViewModel } from 'devexpress-reporting/viewer/widgets/pictureEditor/_imagePicker';
import { IProgressBarViewModel } from 'devexpress-reporting/viewer/internal/_progressViewModel';
import { IExportToolViewModel } from 'devexpress-reporting/viewer/internal/_exportHandler.viewModel';
import { IMobileReportPreviewViewModel } from 'devexpress-reporting/viewer/mobile/mobilePreview.viewModel';
import { IMobilePageViewModel } from 'devexpress-reporting/viewer/mobile/internal/_mobilePage';
import { IMobileActionListViewModel, IMobileExportAction } from 'devexpress-reporting/viewer/mobile/utils/_mobileActionList';
import { IParametersPopupViewModelBase } from 'devexpress-reporting/viewer/mobile/internal/_parametersPopup.viewModel';
import { IMobilePaginatorViewModel, IMobileSearchViewModel } from 'devexpress-reporting/scopes/reporting-viewer-mobile-internal';
import { IAIPanelViewModel, IBreadcrumbViewModel } from 'devexpress-reporting/scopes/reporting-viewer-internal';
import * as i0 from "@angular/core";
export declare class ViewerTemplatesComponent implements AfterViewInit {
    private _templateEngine;
    toolbar: TemplateRef<{
        data: ReportPreview;
    }>;
    breadcrumb: TemplateRef<{
        data: IBreadcrumbViewModel;
    }>;
    exportAction: TemplateRef<{
        data: IExportActionViewModel;
    }>;
    pagerAction: TemplateRef<{
        data: ISelectBoxActionViewModel;
    }>;
    zoomAction: TemplateRef<{
        data: ISelectBoxActionViewModel;
    }>;
    parameters: TemplateRef<{
        data: IParametersPanelViewModel;
    }>;
    editor: TemplateRef<{
        data: IEditorViewModel;
    }>;
    multivalue: TemplateRef<{
        data: IEditorViewModel<IMultiValueEditorViewModel>;
    }>;
    multivalueEditable: TemplateRef<{
        data: IEditorViewModel;
    }>;
    signatureEditor: TemplateRef<{
        data: IEditorViewModel;
    }>;
    exportOptions: TemplateRef<{
        data: ITabPanelItemWithPropertyGridViewModel;
    }>;
    documentMap: TemplateRef<{
        data: IDocumentMapViewModel;
    }>;
    daterangeinput: TemplateRef<{
        data: IEditorViewModel<IDateRangeEditorOptions>;
    }>;
    daterangePopup: TemplateRef<{
        data: IDateRangeEditorViewModel;
    }>;
    daterangeecalendar: TemplateRef<{
        data: IDateRangeCalendarViewModel;
    }>;
    surface: TemplateRef<{
        data: IReportPreviewViewModel;
    }>;
    page: TemplateRef<{
        data: IPreviewPageViewModel;
    }>;
    editorContent: TemplateRef<{
        data: IEditorViewModel;
    }>;
    groupEditor: TemplateRef<{
        data: IObjectPropertiesViewModel;
    }>;
    search: TemplateRef<{
        data: ISearchViewModel;
    }>;
    aipanel: TemplateRef<{
        data: IAIPanelViewModel;
    }>;
    brick: TemplateRef<{
        data: IBrickNode;
    }>;
    brickClickable: TemplateRef<{
        data: IBrickNode;
    }>;
    separator: TemplateRef<{
        data: IEditorViewModel;
    }>;
    textEditingFieldContainer: TemplateRef<{
        data: ITextEditingFieldViewModel;
    }>;
    textEditingField: TemplateRef<{
        data: ITextEditingFieldData;
    }>;
    textEditingFieldDate: TemplateRef<{
        data: ITextEditingFieldData;
    }>;
    textEditingFieldMask: TemplateRef<{
        data: ITextEditingFieldData;
    }>;
    textEditingFieldNumber: TemplateRef<{
        data: ITextEditingFieldData;
    }>;
    characterCombEditingField: TemplateRef<{
        data: ICharacterCombEditingFieldViewModel;
    }>;
    checkEditingField: TemplateRef<{
        data: ICheckEditingFieldViewModel;
    }>;
    radioEditingField: TemplateRef<{
        data: ICheckEditingFieldViewModel;
    }>;
    imageEditingField: TemplateRef<{
        data: IEditingFieldViewModelBase;
    }>;
    imageEditingFieldEditor: TemplateRef<{
        data: IEditingFieldViewModelBase;
    }>;
    popupImageEditingField: TemplateRef<{
        data: IPopupImageEditingFieldViewModel;
    }>;
    pictureEditingToolbarPopup: TemplateRef<{
        data: IPictureEditorActionPopup;
    }>;
    pictureEditingBrushOptions: TemplateRef<{
        data: IPainterBrushOptions;
    }>;
    pictureEditingSizeOptions: TemplateRef<{
        data: IPainterSizeOptions;
    }>;
    pictureEditingImagesPicker: TemplateRef<{
        data: IImagePickerActionViewModel;
    }>;
    pictureEditingImagesPickerWithFilter: TemplateRef<{
        data: IImagePickerActionViewModel;
    }>;
    progressBar: TemplateRef<{
        data: IProgressBarViewModel;
    }>;
    exportTool: TemplateRef<{
        data: IExportToolViewModel;
    }>;
    checkboxGlyph: TemplateRef<{
        data: ICheckEditingFieldViewModel;
    }>;
    mobileSurface: TemplateRef<{
        data: IMobileReportPreviewViewModel;
    }>;
    mobilePage: TemplateRef<{
        data: IMobilePageViewModel;
    }>;
    mobileActions: TemplateRef<{
        data: IMobileActionListViewModel;
    }>;
    mobileParameters: TemplateRef<{
        data: IParametersPopupViewModelBase;
    }>;
    mobileParametersPopup: TemplateRef<{
        data: IParametersPopupViewModelBase;
    }>;
    mobileParametersDateRange: TemplateRef<{
        data: IParametersPopupViewModelBase;
    }>;
    mobileDateRange: TemplateRef<{
        data: IParametersPopupViewModelBase;
    }>;
    mobileExport: TemplateRef<{
        data: IMobileExportAction;
    }>;
    mobilesearch: TemplateRef<{
        data: IMobileSearchViewModel;
    }>;
    mobilepaginator: TemplateRef<{
        data: IMobilePaginatorViewModel;
    }>;
    constructor(_templateEngine: TemplateEngine);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ViewerTemplatesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ViewerTemplatesComponent, "dxv-templates", never, {}, {}, never, never, false, never>;
}
