import { ChangeDetectorRef, ElementRef, Renderer2 } from '@angular/core';
import { DxReportingComponent } from 'devexpress-reporting-angular/core';
import '@devexpress/analytics-core/dx-dev-analytics-core-svg-templates.generated';
import 'devexpress-reporting/dx-dev-reporting-svg-templates.generated';
import { AccessibilitySettings } from './utils/accessibility-settings';
import { IReportViewerOptions, JSReportViewerBindingBase } from 'devexpress-reporting/viewer/binding/jsReportViewerBindingBase';
import { IPreviewDisposableViewModelBase } from 'devexpress-reporting/scopes/reporting-viewer-internal';
import { DxReportViewerCallbacksBaseComponent } from './dxrv-callbacks-base';
import * as i0 from "@angular/core";
export declare abstract class DxReportViewerBaseComponent<T extends JSReportViewerBindingBase> extends DxReportingComponent {
    private _viewer;
    private _cd;
    private _accessibilitySettings;
    private _reportUrl;
    private _disposableCallback;
    private _disposeViewModelChangedSubscription;
    viewModel: IPreviewDisposableViewModelBase;
    model: T['sender'];
    protected _binding: JSReportViewerBindingBase;
    bindingSender: T['sender'];
    constructor(renderer: Renderer2, platformId: Object, _viewer: ElementRef, _cd: ChangeDetectorRef, _accessibilitySettings: AccessibilitySettings);
    abstract getCallbacks(): DxReportViewerCallbacksBaseComponent;
    abstract getKoBinding(options: IReportViewerOptions): JSReportViewerBindingBase;
    getControlOptions(): IReportViewerOptions;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private _subscribeToViewModelChanged;
    get accessibilityCompliant(): boolean;
    set accessibilityCompliant(value: boolean);
    keepReportOnComponentDisposal: boolean;
    rtl: boolean;
    get reportUrl(): string;
    set reportUrl(reportUrl: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<DxReportViewerBaseComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxReportViewerBaseComponent<any>, "ng-component", never, { "accessibilityCompliant": { "alias": "accessibilityCompliant"; "required": false; }; "keepReportOnComponentDisposal": { "alias": "keepReportOnComponentDisposal"; "required": false; }; "rtl": { "alias": "rtl"; "required": false; }; "reportUrl": { "alias": "reportUrl"; "required": false; }; }, {}, never, never, false, never>;
}
