import { ChangeDetectorRef, ElementRef, Renderer2 } from '@angular/core';
import { DxReportViewerCallbacksComponent } from './dxrv-callbacks';
import { DxReportViewerRequestOptionsComponent } from './dxrv-request-options';
import { DxReportViewerExportSettingsComponent } from './dxrv-export-settings.component';
import { DxReportViewerMobileModeSettingsComponent } from './dxrv-mobile-mode-settings.component';
import { DxReportViewerProgressBarSettingsComponent } from './dxrv-progressbar-settings.component';
import { DxReportViewerRemoteSettingsComponent } from './dxrv-remote-settings.component';
import { DxReportViewerTabPanelSettingsComponent } from './dxrv-tabpanel-settings.component';
import { DxReportViewerSearchSettingsComponent } from './dxrv-search-settings.component';
import '@devexpress/analytics-core/dx-dev-analytics-core-svg-templates.generated';
import 'devexpress-reporting/dx-dev-reporting-svg-templates.generated';
import { JSReportViewerBinding } from 'devexpress-reporting/viewer/binding/jsReportViewerBinding';
import { IPreviewViewModel, PreviewDisposableModel } from 'devexpress-reporting/viewer/internal/_previewModel';
import { AccessibilitySettings } from './utils/accessibility-settings';
import { IReportViewerOptions, JSReportViewerBindingBase } from 'devexpress-reporting/viewer/binding/jsReportViewerBindingBase';
import { DxReportViewerBaseComponent } from './dx-report-viewer-base.component';
import { DxReportViewerAISettingsComponent } from './aiSettings/dxrv-ai-settings.component';
import * as i0 from "@angular/core";
export declare class DxReportViewerComponent extends DxReportViewerBaseComponent<JSReportViewerBinding> {
    viewModel: IPreviewViewModel;
    requestOptionsComponent: DxReportViewerRequestOptionsComponent;
    callbacksComponent: DxReportViewerCallbacksComponent;
    mobileModeSettingsComponent: DxReportViewerMobileModeSettingsComponent;
    remoteSettingsComponent: DxReportViewerRemoteSettingsComponent;
    tabPanelSettingsComponent: DxReportViewerTabPanelSettingsComponent;
    progressBarSettingsComponent: DxReportViewerProgressBarSettingsComponent;
    exportSettingsComponent: DxReportViewerExportSettingsComponent;
    searchSettingsComponent: DxReportViewerSearchSettingsComponent;
    aiSettingsComponent: DxReportViewerAISettingsComponent;
    constructor(renderer: Renderer2, platformId: Object, viewer: ElementRef, cd: ChangeDetectorRef, accessibilitySettings: AccessibilitySettings);
    getKoBinding(options: IReportViewerOptions): JSReportViewerBindingBase;
    getCallbacks(): DxReportViewerCallbacksComponent;
    getControlOptions(): IReportViewerOptions;
    GetPreviewModel(): PreviewDisposableModel;
    isMobile: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxReportViewerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxReportViewerComponent, "dx-report-viewer", never, { "isMobile": { "alias": "isMobile"; "required": false; }; }, {}, ["requestOptionsComponent", "callbacksComponent", "mobileModeSettingsComponent", "remoteSettingsComponent", "tabPanelSettingsComponent", "progressBarSettingsComponent", "exportSettingsComponent", "searchSettingsComponent", "aiSettingsComponent"], never, false, never>;
}
